Skip to main content
GET
/
v1
/
jettons
/
trading-volume
/
change
getTradingVolumeChangeList
curl --request GET \
  --url https://api.dyor.io/v1/jettons/trading-volume/change
import requests

url = "https://api.dyor.io/v1/jettons/trading-volume/change"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.dyor.io/v1/jettons/trading-volume/change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "address": "<string>",
      "changes": {
        "total": {
          "hour": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "hour6": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "day": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "week": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "month": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          }
        },
        "buy": {
          "hour": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "hour6": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "day": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "week": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "month": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          }
        },
        "sell": {
          "hour": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "hour6": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "day": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "week": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          },
          "month": {
            "changePercent": 146.1,
            "previous": {
              "value": "1000500000",
              "decimals": 9
            },
            "current": {
              "value": "1000500000",
              "decimals": 9
            },
            "calculatedAt": "2023-11-07T05:31:56Z"
          }
        }
      }
    }
  ],
  "addressBook": {}
}
{
"code": 3,
"message": "invalid value",
"details": []
}
{
"code": 5,
"message": "not found",
"details": []
}
{
"code": 8,
"message": "too many requests",
"details": []
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Query Parameters

address
string[]

Jetton address

List of jetton addresses Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz Max count: 100

currency
enum<string>
default:ton
Available options:
ton,
usd,
eur,
gbp,
jpy,
byn,
ves,
rub,
uah,
kzt,
krw,
ils,
idr,
aed,
gel,
twd,
try,
hkd,
inr,
cad,
amd,
aud,
pln,
cop,
brl,
chf,
mxn,
ars,
sgd,
sar,
mdl,
ron,
sek,
azn,
rsd,
nok,
myr,
bgn,
egp,
gtq,
clp,
nzd,
bdt,
kgs,
thb,
uzs,
uyu,
vnd,
ugx,
kes,
zar,
etb,
ngn,
lkr

Response

A successful response.

items
object[]
addressBook
Address book · object

Possible aliases for all raw addresses in response